/* $Id: diskdumpmnt.c,v 1.2 2005/10/17 18:56:38 akira Exp $ */

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <unistd.h>
#include "diskdumpcmn.h"

#define	CMD	"diskdumpmnt"

int main(int argc, char *argv[])
{
	int opt;
	bool verbose = false;
	const char *device_name;
	int ret;

	while ((opt = getopt(argc, argv, "vV")) != -1) {
		switch (opt) {
		case 'v':
			verbose = true;
			break;
		case 'V':
			version(CMD);
			break;
		default:
			usage(CMD);
			break;
		}
	}

	if (optind + 1 != argc) {
		usage(CMD);
	}

	device_name = argv[optind];
	Info("%s\n", device_name);

	ret = is_block_device(device_name);
	if (ret == -1) {
		Err("unable to open %s\n", device_name);
		exit(255);
	} else if (!ret) {
		Err("%s is not a block device\n", device_name);
		exit(255);
	}

	ret = is_mounted(device_name);
	switch (ret) {
	case -1:
		Err("unable to scan %s\n", _PROC_MOUNTS);
		exit(255);
	case 0:
		Info("  device status: not mounted\n");
		break;
	case 1:
		Info("  device status: mounted\n");
		break;
	case 2:
		Info("  device status: swap mounted\n");
		break;
	}

	exit(ret);
}
